# _INTERNAL_REQUEST Struct Reference
[NPF structures and definitions]

Stores an OID request. More...

`#include <Packet.h>`

## Data Fields

LIST_ENTRY | ListElement
| Used to handle lists of requests.
NDIS_EVENT | InternalRequestCompletedEvent
NDIS_REQUEST | Request
| The structure with the actual request, that will be passed to NdisRequest().
NDIS_STATUS | RequestStatus

## Detailed Description

Stores an OID request.

This structure is used by the driver to perform OID query or set operations on the underlying NIC driver. The OID operations be performed usually only by network drivers, but NPF exports this mechanism to user-level applications through an IOCTL interface. The driver uses this structure to wrap a NDIS_REQUEST structure. This allows to handle correctly the callback structure of NdisRequest(), handling multiple requests and maintaining information about the IRPs to complete.

Definition at line 163 of file Packet.h.

## Field Documentation

NDIS_EVENT InternalRequestCompletedEvent

Definition at line 167 of file Packet.h.

LIST_ENTRY ListElement

Used to handle lists of requests.

Definition at line 164 of file Packet.h.

NDIS_REQUEST Request

The structure with the actual request, that will be passed to NdisRequest().

Definition at line 168 of file Packet.h.

NDIS_STATUS RequestStatus

Definition at line 169 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.